package main

import (
	"github.com/labstack/echo"
	"net/http"
	"fmt"
)

func getList(c echo.Context) error {
	//Datenbankverbindung aufbauen
	db := DBinit()

	//Daten holen und anzeigen
	var kofi []Kofi
	asc := c.QueryParam("asc")
	if asc == "" {
		err := db.OrderBy("KCoins DESC").Find(&kofi)
		if err != nil {
			fmt.Println(err)
		}
	} else {
		err := db.OrderBy("Name ASC").Find(&kofi)
		if err != nil {
			fmt.Println(err)
		}
	}

	//Template
	return c.JSON(http.StatusOK, kofi)
}
